Get
curl --request GET \
--url https://api.paygentic.io/v0/costs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/costs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/costs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "cost",
"type": "metered",
"name": "<string>",
"currency": "<string>",
"unitCost": "<string>",
"productId": "<string>",
"merchantId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"unit": "<string>",
"aggregation": "SUM",
"eventType": "<string>",
"valueProperty": "<string>",
"groupBy": {},
"deletedAt": "2023-11-07T05:31:56Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Costs
Get
GET
/
v0
/
costs
/
{id}
Get
Authorizations
API key authentication
Path Parameters
The unique identifier of the cost Unique identifier for a cost
Pattern:
^cst_[a-zA-Z0-9]+$Response
Cost details
Unique identifier for a cost
Pattern:
^cst_[a-zA-Z0-9]+$Available options:
cost Available options:
metered Decimal as string to avoid floating point precision loss.
Unique identifier for a product
Pattern:
^prod_[a-zA-Z0-9]+$Unique identifier for an organization
Pattern:
^org_[a-zA-Z0-9]+$Available options:
SUM, COUNT, AVG, MIN, MAX, UNIQUE_COUNT, LATEST Show child attributes
Show child attributes
Soft-delete timestamp. Always null for active costs returned by the API.
Was this page helpful?